# neededforbuild  automake cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi des openldap2 openldap2-client openldap2-devel openssl openssl-devel readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi db des devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         samba
Copyright:    1992-95 Andrew Tridgell, Karl Auer, Jeremy Allison
Group:        Networking/Daemons
URL:          http://www.samba.org/samba
Provides:     samba smbfs
Requires:     smbclnt
Autoreqprov:  on
Version:      2.2.1a
Release:      1
Summary:      SMB file server for Unix
Packager:     Karol Pietrzak <noodlez84@earthlink.net>
Source:       ftp://ftp.samba.org/pub/samba/samba-%{version}.tar.gz 

%package -n smbclnt
Summary:      Samba client utilities
Autoreqprov:  on
Group:        Networking/Utilities

%prep
%setup -n samba-2.2.1a

%build
cd source/
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -O2 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE" \
./configure --with-fhs --prefix=/usr --with-pam --with-smbmount --with-automount --with-ssl --with-sslinc=/usr/include/openssl --with-quotas --with-profile --with-msdfs
make
mv Makefile Makefile.orig
cp /tmp/Makefile .
make nsswitch
rm -f Makefile
mv Makefile.orig Makefile

%install
cd source/
make install
cp nsswitch/libnss_wins.so /lib/libnss_wins.so
cd ../
install -m 644 packaging/LSB/smb.conf /etc/


%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.samba
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.samba and"
  echo "update by hand."
fi
if grep -q '^[#[:space:]]*swat' etc/inetd.conf ; then
   echo /etc/inetd.conf is up to date
else
   echo updating inetd.conf
   cat >> etc/inetd.conf << EOF
# swat is the Samba Web Administration Tool
swat    stream  tcp     nowait.400  root    /usr/sbin/swat swat
EOF
fi
if grep -q '^swat' etc/services ; then
   echo /etc/services is up to date
else
   echo updating services
   cat >> etc/services << EOF
swat            901/tcp		# swat is the Samba Web Administration Tool
EOF
fi


if grep -q '^service swat' /etc/xinetd.conf ;
then
  echo SWAT is already configured in /etc/xinetd.conf...
  else
  echo "Updating /etc/xinetd.conf..." 
  echo "
# default: off
# description: SWAT is the Samba Web Admin Tool. Use swat \
#              to configure your Samba server. To use SWAT, \
#              connect to port 901 with your favorite web browser.
service swat
{
        port    = 901
        socket_type     = stream
        wait    = no
        only_from = localhost
        user    = root
        server  = /usr/sbin/swat
        log_on_failure  += USERID
        disable = yes
  }
  " >> /etc/xinetd.conf
fi


mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/samba-notify
Achtung!
========
Die Syntax des smbmount Kommandos hat sich geaendert!
smbmount kann nicht mehr direkt aufgerufen werden. Es wird von einem
Shellscript /sbin/mount.smbfs aufgerufen, welches wiederum von mount
aufgerufen wird.
Hier ein Beispielaufruf:
mount -t smbfs -o username=uname,password=passwd //smbserv/share /destination
Das SuSE samba Paket ist kompiliert mit libnss_wins.so Untersttzung.
Dieses ermglicht es einen WINS Eintrag in der /etc/nsswitch.conf fr
die Auflsung der Hostnamen via Netbios beim Aufruf von gethostbyname().
Als Ergebnis knnen Unix Applikationen Hostnamen via Netbios auflsen.
Bitte frgen Sie in die Datei /etc/nsswitch.conf den Eintrag wins hinzu.

*****************************************************************************
Attention!
==========
The syntax of smbmount has changed!
smbmount can not be called direct anymore. It will be called by a shell
script /sbin/mount.smbfs, which will be called by mount.
A sample call to smbfs:
mount -t smbfs -o username=uname,password=passwd //smbserv/share /destination
SuSE samba package is compiled with libnss_wins.so.
This allows you to use a WINS entry in /etc/nsswitch.conf for hostname
resolution, allowing you to resolve netbios names via start unix
gethostbyname() calls. The end result is that you can use netbios
names as host names in unix apps. Please add a wins entry to the hosts
line in /etc/nsswitch.conf
EOF
# ---------------------------------------------------------------------------
#
# Initialize runlevel links
#


%files
%defattr(-,root,root)
%dir /etc/init.d
/etc/init.d/smb
/etc/init.d/smbfs
%dir /etc/samba
%config(noreplace) /etc/smb.conf
%dir /usr/bin
/usr/bin/*
%dir /usr/sbin
/usr/sbin/*
%dir /usr/share/man
/usr/share/man/*
%dir /usr/share/samba
/usr/share/samba/*
%dir /var/lock/samba
%dir /var/log/samba
/lib/libnss_wins.so

%description
Samba is a suite of programs which work together to allow clients to
access Unix filespace and printers via the SMB protocol (Server Message Block).
In practice, this means that you can redirect disks and printers to
Unix disks and printers from LAN Manager clients, Windows for
Workgroups 3.11 clients, Windows 95 clients, Windows NT clients
and OS/2 clients. There is also a Unix client program supplied as part of the suite which allows
Unix users to use an ftp-like interface to access filespace and printers on any other SMB server.

Samba includes the following programs (in summary):
  * smbd, the SMB server. This handles actual connections from clients.
  * nmbd, the Netbios name server, which helps clients locate servers.
  * smbclient, the Unix-hosted client program.
  * smbrun, a little 'glue' program to help the server run external programs.
  * testprns, a program to test server access to printers.
  * testparm, a program to test the Samba configuration file for correctness.
  * smb.conf, the Samba configuration file.
  * smbprint, a sample script to allow a Unix host to use smbclient to print to an SMB server.
  
The suite is supplied with full source and is GPLed.
This package expects its config file under /etc/smb.conf .

Authors:
--------
    Andrew Tridgell <Andrew.Tridgell@anu.edu.au>
    Karl Auer <Karl.Auer@anu.edu.au>
    Jeremy Allison <jeremy@netcom.com>

SuSE series: n


%description -n smbclnt
This package contains all programs, that are needed to act as a samba
client. This includes also smbmount, of course.

Authors:
--------
    Andrew Tridgell <Andrew.Tridgell@anu.edu.au>
    Karl Auer <Karl.Auer@anu.edu.au>
    Jeremy Allison <jeremy@netcom.com>

SuSE series: n
